com.mapinfo.midev.geometry

## Class MultiCurveBuilder

- java.lang.Object
- - com.mapinfo.midev.geometry.MultiCurveBuilder

    public class MultiCurveBuilder
    extends Object

A builder for creating new `IMultiCurve` instances.

### Method Summary

All Methods Instance Methods Concrete Methods
`IMultiCurve` `build()` Creates a multi-curve with each previously added line string represented as an individual curve.
`MultiCurveBuilder` `withLineString(DirectPosition[] positions)` Adds a new line string as a curve to the multi-curve to be created with this builder.
`MultiCurveBuilder` `withLineString(IDirectPositionList positions)` Adds a new line string as a curve to the multi-curve to be created with this builder.
`MultiCurveBuilder` `withLineString(Iterable positions)` Adds a new line string as a curve to the multi-curve to be created with this builder.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withLineString

    public MultiCurveBuilder withLineString(DirectPosition[] positions)

Adds a new line string as a curve to the multi-curve to be created with this builder.

Parameters:
  `positions` - An array of direct positions representing the points of the line string.
Returns:
  this builder object

#### withLineString

    public MultiCurveBuilder withLineString(Iterable positions)

Adds a new line string as a curve to the multi-curve to be created with this builder.

Parameters:
  `positions` - An iterable data structure of direct positions representing the points of the line string.
Returns:
  this builder object

#### withLineString

    public MultiCurveBuilder withLineString(IDirectPositionList positions)

Adds a new line string as a curve to the multi-curve to be created with this builder.

Parameters:
  `positions` - A direct position list representing the points of the line string.
Returns:
  this builder object

#### build

    public IMultiCurve build()

Creates a multi-curve with each previously added line string represented as an individual curve.

Returns:
  a new multi-curve instance